Package org.eclipse.m2m.atl.emftvm.util

## Class LazyCollection.ReadOnlyIterator<E>

- java.lang.Object
- - org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyIterator<E>

Type Parameters:
  `E` -

All Implemented Interfaces:
  `java.util.Iterator<E>`

Direct Known Subclasses:
  `LazyCollection.CachingIterator`, `LazyCollection.CollectIterator`, `LazyCollection.FlattenIterator`, `LazyCollection.FlattenSetIterator`, `LazyCollection.ReadOnlyListIterator`, `LazyCollection.ReverseIterator`, `LazyCollection.SubListIterator`, `LazyCollection.WrappedIterator`

Enclosing class:
  LazyCollection<E>

    public abstract static class LazyCollection.ReadOnlyIterator<E>
    extends java.lang.Object
    implements java.util.Iterator<E>

`Iterator` without `remove()`.

### Constructor Summary

Constructors
`ReadOnlyIterator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `remove()` Unsupported.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining, hasNext, next`

### Constructor Detail

#### ReadOnlyIterator

    public ReadOnlyIterator()

### Method Detail

#### remove

    public void remove()

Unsupported.

Specified by:
  `remove` in interface `java.util.Iterator<E>`
Throws:
  `java.lang.UnsupportedOperationException`